package
{
	import org.flixel.*;
	
	public class EndState extends FlxState
	{
		[Embed(source = "data/end.png")] public static var ImgTitle:Class;		
		
		private var t:Number;
		override public function create():void
		{			
			super.create();
			bgColor=0xff000000;
			
			var bg:FlxSprite = new FlxSprite(0,0,ImgTitle);
			this.add(bg);
			
			flashtext = new FlxText(0,80,FlxG.width,"Thank you all for coming to visit, my children.\nI love you all so much!\n\nTHE END");
			flashtext.color=0xffc03d3d;
			flashtext.alignment="center";

			this.add(flashtext);
			
			for (var i:int=1;i<5;i++)
			{
				var s:FlxSprite = new FlxSprite(61+10*(i-1),60);
				s.loadGraphic(Robot.ImgRobot,true,false,7,9);
				s.addAnimation("play",[(2*i)%5,(3*i)%5,(7*i)%5,(11*i)%5,(13*i)%5,(17*i)%5],2,true);
				s.play("play");
				this.add(s);
			}
			t=0;
			FlxG.flash.start(0xff000000,1);
		}
		private var flashtext:FlxText;
		private var spacepressed:Boolean=false;
		
		override public function update():void
		{
			super.update();
		}
		
		private function onFaded():void
		{
			FlxG.state = new TitleState();
		}
	}
}